MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002157Industrial-Craft²machinespublic2017-04-14 04:202017-05-13 03:31
ReporterSalmonDE 
Assigned ToChocohead 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in VersionBuilds for MC 1.10.x 
Summary0002157: Can't put items into scanner
DescriptionTrying to scan items will always fail because it doesn't allow you to put anything inside the scanfield.
Tested with diamonds, iridium ore and dirt.
Steps To Reproduce1. Build a basic setup with scanner and power source
2. Open the scanner and try to insert something like a diamond
Additional InformationI noticed that this issue came up in the jenkins build 0000198 and continues occuring in build 0000200, but not in build 0000197 (tested).
Tags1.10.2, 1.11.2, build 198, build 200, pattern storage, replicator, scanner
Minecraft Version1.10.2
Attached Filespng file icon 2017-04-23_07.48.57.png [^] (120,428 bytes) 2017-04-23 07:51

- Relationships
has duplicate 0002180resolvedChocohead when i get to use the scanner he dosent scan anything 

-  Notes
(0005143)
Chocohead (developer)
2017-04-14 05:13

Are there any warnings related to UU in the logs? It could be the changes to the graph made in 198 that have broken things, or that the slot is just broken from misplaced stack migration.
(0005144)
SalmonDE (reporter)
2017-04-14 11:26

I can't see any errors from ic² inside the logs. Just to make sure, the file called latest.log was the log where I should look after trying to put items into the scanner, right?
(0005145)
SalmonDE (reporter)
2017-04-15 03:49

I'm sorry for not including this information inside my bug description:

I used build 200 from the jenkins server for minecraft 1.10.2 to encounter this bug together with the forge version 12.18.3.2281
(0005153)
Ferrugius (reporter)
2017-04-22 23:36

Same problem here. Moreover, items that have been scanned before switching to build 200 are now impossible to replicate since their cost value is replaced with infinity symbol.
(0005171)
Chocohead (developer)
2017-04-28 19:12

Fixed in IC2 2.6.204 and 2.7.17
(0005172)
SalmonDE (reporter)
2017-04-29 09:23

Thank you very much! :)

- Issue History
Date Modified Username Field Change
2017-04-14 04:20 SalmonDE New Issue
2017-04-14 05:13 Chocohead Note Added: 0005143
2017-04-14 11:26 SalmonDE Note Added: 0005144
2017-04-15 03:49 SalmonDE Note Added: 0005145
2017-04-22 23:36 Ferrugius Note Added: 0005153
2017-04-23 07:45 Ferrugius Tag Attached: 1.10.2
2017-04-23 07:46 Ferrugius Tag Attached: build 200
2017-04-23 07:46 Ferrugius Tag Attached: scanner
2017-04-23 07:47 Ferrugius Tag Attached: build 198
2017-04-23 07:51 Ferrugius File Added: 2017-04-23_07.48.57.png
2017-04-23 07:52 Ferrugius Tag Attached: replicator
2017-04-23 07:53 Ferrugius Tag Attached: pattern storage
2017-04-23 14:33 Chocohead Status new => confirmed
2017-04-23 20:38 Ferrugius Note Added: 0005155
2017-04-23 20:39 Ferrugius Note Deleted: 0005155
2017-04-28 16:17 davue Tag Attached: 1.11.2
2017-04-28 19:12 Chocohead Note Added: 0005171
2017-04-28 19:12 Chocohead Status confirmed => resolved
2017-04-28 19:12 Chocohead Fixed in Version => Builds for MC 1.10.x
2017-04-28 19:12 Chocohead Resolution open => fixed
2017-04-28 19:12 Chocohead Assigned To => Chocohead
2017-04-29 09:23 SalmonDE Note Added: 0005172
2017-05-11 20:23 Chocohead Relationship added has duplicate 0002180


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker